<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.mq.mapper.voltageLimitViolation.FhzgLimitTransferSchemeSwitchingLoopSegCurrentDetailMapper">

    <resultMap id="BaseResultMap" type="com.hdkj.lt.core.bizms.modle.po.voltageLimitViolation.FhzgLimitTransferSchemeSwitchingLoopSegCurrentDetail">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="switchingId" column="switching_id" jdbcType="BIGINT"/>
            <result property="segmentId" column="segment_id" jdbcType="VARCHAR"/>
            <result property="segmentName" column="segment_name" jdbcType="VARCHAR"/>
            <result property="lineId" column="line_id" jdbcType="VARCHAR"/>
            <result property="lineName" column="line_name" jdbcType="VARCHAR"/>
            <result property="segmentRatedAmpacity" column="segment_rated_ampacity" jdbcType="VARCHAR"/>
            <result property="preLoopCloseCurrent" column="pre_loop_close_current" jdbcType="VARCHAR"/>
            <result property="loopOpenCurrent" column="loop_open_current" jdbcType="VARCHAR"/>
            <result property="currentThreshold" column="current_threshold" jdbcType="VARCHAR"/>
            <result property="segmentCurrentCheck" column="segment_current_check" jdbcType="VARCHAR"/>
            <result property="creator" column="creator" jdbcType="BIGINT"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="lastEditor" column="last_editor" jdbcType="BIGINT"/>
            <result property="lastTime" column="last_time" jdbcType="TIMESTAMP"/>
            <result property="loopCloseCurrent" column="loop_close_current" jdbcType="VARCHAR"/>
            <result property="marginValue" column="margin_value" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,switching_id,segment_id,
        segment_name,line_id,line_name,
        segment_rated_ampacity,pre_loop_close_current,loop_open_current,
        current_threshold,segment_current_check,creator,
        create_time,last_editor,last_time,
        loop_close_current,margin_value
    </sql>
</mapper>
